org.apache.ignite.compute

## Class ComputeExecutionRejectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.compute.ComputeExecutionRejectedException

All Implemented Interfaces:
  Serializable

    public class ComputeExecutionRejectedException
    extends IgniteException

This exception defines execution rejection. This exception is used to indicate the situation when execution service provided by the user in configuration rejects execution.

See Also:
  `IgniteConfiguration.getPublicThreadPoolSize()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComputeExecutionRejectedException(String msg)` Creates new execution rejection exception with given error message.
`ComputeExecutionRejectedException(String msg, @Nullable Throwable cause)` Creates new execution rejection exception with given error message and optional nested exception.
`ComputeExecutionRejectedException(Throwable cause)` Creates new execution rejection given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComputeExecutionRejectedException

    public ComputeExecutionRejectedException(String msg)

Creates new execution rejection exception with given error message.

Parameters:
  `msg` - Error message.

#### ComputeExecutionRejectedException

    public ComputeExecutionRejectedException(Throwable cause)

Creates new execution rejection given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### ComputeExecutionRejectedException

    public ComputeExecutionRejectedException(String msg,
                                             @Nullable
                                             @Nullable Throwable cause)

Creates new execution rejection exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021